/* url配置 */
const PLATFROM_CONFIG = {
  baseNewUrl: 'http://120.26.64.82:8093/', //登录前的http请求地址
  baseUrl: 'http://120.26.64.82:8095/', // 4A-http请求地址
  appKeyString: '9inu7zpllz1folzsljm498dcpi0lsog1', //appSecret
  appId: 'q7kdjmmaf0kerwpf', //appid
  baseURLCA: 'http://10.211.67.163:16300', // 登录后的http请求地址-测试
  baggageMessageURL: '/openApi/query',
}

/* 轮询间隔 */
const LOOP_INTERVAL = {
  departureAirport: 30 * 1000,
  internationalDepartureAirport: 30 * 1000,
  arrivalAirport: 30 * 1000,
  internationalArrivalAirport: 30 * 1000,
}

const DATACONTENT_ID = {
  /***-----登录------***/
  loginId: 36, //登录-获取权限-id

  /***-----权限管理------***/
  authTreeId: 40, //权限管理-权限树
  authTreeNewId: 92, //权限管理-权限树

  /***-----应用管理------***/
  appTableId: 39, //应用管理

  /***-----数据查询------***/
  flightTabId: 1803439, //数据查询-航班-表格-id
  waybillTabId: 1803441, //数据查询-运单-表格-id
  goodsTabId: 1803440, //数据查询-货物-表格-id

  /***-----高级查询------***/
  baggageTypeId: 86, //高级查询-特殊行李类型下拉选项查询-id
  advancedQueryId: 30, //高级查询-数据查询-id
  advancedQueryNew: 93, //高级查询-数据查询-id

  /***-----账号管理------***/
  accountTableId: 78, //账号管理-首页-列表
  accountRoleId: 43, //账号管理-根据id查角色
  accountDetailsId: 45, //账号管理-根据id查详情

  /***-----账号组管理------***/
  accountGroupTableId: 18034, //账号组管理-首页-列表
  accountGroupSelId: 18035, //账号组管理-下拉
  accountGroupDetailsId: 18036, //账号组管理-根据id查详情

  /***-----角色管理------***/
  roleTableId: 59, //角色管理-首页-列表
  roleTableNId: 63, //角色管理-首页-列表
  roleTableNewId: 91, //角色管理-根据id查权限
  roleDetailsId: 62, //角色管理-根据id查详情
  roleAuthId: 42, //角色管理-根据id查权限

  /***-----基础数据------***/
  airlineTableId: 80, //基础数据-航司信息维护-表格-id
  airportTreeId: 58, //基础数据-机场信息维护-公司列表-id
  airportTableId: 79, //基础数据-机场信息维护-表格-id
  terminalTableId: 1803432, //基础数据-机场信息维护-航站楼-表格-id
  airpositTableId: 1803433, //基础数据-机场信息维护-航站楼位置-表格-id
  deployNodeId: 54, //基础数据-节点信息维护-id
  modelMainNodeId: 1803434, //基础数据-机型维护-id
  shippingNodeId: 1803435, //基础数据-舱位-id
  containerNodeId: 1803436, //基础数据-容器-id
  bagTableId: 55, //基础数据-特殊行李维护-表格-id
  equipmentNodeId: 1803437, //基础数据-设备维护-表格-id
  forwarderNodeId: 1803438, //基础数据-货代-表格-id

  /***-----应用管理------***/
  appTableId: 39, //应用管理-列表

  /***-----系统设置------***/
  sysProtoTabId: 1, //系统设置-协议管理-表格-id
  structureTabId: 5, //系统设置-数据结构管理-表格-id
  sourceDataTabId: 6, //系统设置-源数据管理-表格-id
  dataitemTabId: 9, //系统设置-数据项-表格-id
  sysLogTable: 12, //系统设置-日志-表格
  sysServiceWarningId: 18029, //查询预警报警场景列表
  sysServiceWarnId: 18030, //预警报警场景(按照ID)
  sysServiceStrategyId: 18033, //预警报警策略(按照ID)
  sysQueryEditId: 24, //系统设置-查询模板-编辑-根据id获取服务
  sysQueryChildTabId: 25, //系统设置-查询模板-列设置-表格-id
  sysQueryChildEditTabId: 26, //系统设置-查询模板-列设置-表格-编辑-id
  messageQueryTabId: 1803442, //系统设置-消息查询-表格-id

  dataSourceOptions: 13, //系统设置-数据源下拉
  serviceOptions: 14, //系统设置-服务下拉
  protocolOptions: 15, //系统设置-协议下拉
  machineOptions: 17, //系统设置-机器下拉
  dataStructOptions: 18, //系统设置-数据结构下拉
  templateOptions: 19, //系统设置-查询模板下拉
  booleanOptions: 20, //系统设置-布尔值下拉
  filteredTemplateOptions: 21, //系统设置-下拉选项下拉

  sysServiceTable: 2, //系统设置-服务管理-表格
  sysServiceMachineTable: 3, //系统设置-服务管理-编辑-部署机器-表格
  sysServiceOutTable: 7, //系统设置-服务管理-编辑-输出-表格
  sysServiceDetail: 23, //系统设置-服务管理-编辑服务-根据id获取服务详情
  sysServiceTopologyTable: 31, //系统设置-服务管理-服务拓扑-查看日志
  sysServiceTopology: 32, //系统设置-服务管理-服务拓扑-根据id获取拓扑图
  sysDataEditId: 57, //系统设置-数据结构-数据项-表格-编辑-id
  sysServiceNodeList: 89, // 系统设置-服务管理-机器列表
  sysServiceaddId: 8013, //新增预警报警场景
  sysServiceStrategyaddId: 8014, //新增预警报警策略
  /***-----进港管理------***/
  arrivalAirId: 67, //进港管理-机场选择
  arrivalTableId: 38, //进港管理-表格

  /***-----离港管理------***/
  departureAirMainId: 65, //离港管理-机场选择
  departureTableMainId: 66, //离港管理-表格
  departureWarningId: 18040, //离港管理-报警策略

  /***-----中转进港------***/
  departureAirId: 72, // 中转进港-机场选择
  departureAviJoinId: 71, // 中转进港-进港承运航司
  departureAviLeaveId: 74, // 中转进港-离港承运航司
  departureTableId: 69, // 中转进港-表格

  /***-----中转离港------***/
  departureAirLtId: 72, // 中转离港-机场选择
  departureAviJoinLtId: 71, // 中转离港-进港承运航司
  departureAviLeaveLtId: 74, // 中转离港-离港承运航司
  departureTableLtId: 68, // 中转离港-表格

  /***-----航班视图------***/
  flightAirline: 1141, // 航班-航段
  flightInfo: 1142, // 航班-基础信息
  flightContainer: 41, // 航班-容器
  flightBaggage: 1144, // 航班-行李列表
  abnormalBaggageInfo: 1145,

  /***-----行李视图------***/
  baggageBasicInfo: 255, // 行李-基础信息
  baggageAirline: 18009, // 行李-航段
  baggageTrack: 18010, // 行李-追踪节点
  baggageDetails: 44, // 行李-详情列表
  baggageMessage: 3066, // 行李-原始报文

  /***-----容器视图------***/
  containerHistory: 18026,
  containerBaggage: 18027,

  /***-----综合可视化------***/
  departureAirport: 1803446, // 国内出港航站
  internationalDepartureAirport: 1803447, // 国际出港航站
  arrivalAirport: 1803448, // 国内进港航站
  internationalArrivalAirport: 1803449, // 国际进港航站

  /***-----统计分析------***/
  stOrderId: 18012,
  stOrderChartId: 18013,
  stCalId: 18014,
  stFigntsId: 18015,
  stSpeedId: 18016,
  stBaggageId: 18017,
  stMapId: 18018,
  stCountryId: 18019,
  stTerminalId: 18020,
  stBrsId: 1803429,

  // 数据统计
  airlineOptions: 1806, // 航线下拉
  twoCharacterOptions: 1803426, // 二字码下拉
  termSeleid: 1156, //航站选择下拉
  areaOptions: 1807, // 大区/基地分公司下拉
  AirportId: 1808, // 航站下拉
  TerminalId: 1809, // 航站楼下拉
  byOther: 1810, // 大区/分公司以外航班统计（全部）
  byArea: 1811, // 根据大区/分公司航班统计（全部）
  withBaggageByOther: 1812, // 大区/分公司以外航班统计（有行李）
  withBaggageByArea: 1814, // 根据大区/分公司航班统计（有行李）
  baggageByOther: 1815, // 行李统计（全部）
  baggageByArea: 1816, // 行李统计-分公司（全部）
  notDelByOther: 1817, // 行李统计（不包含DEL）
  notDelByArea: 1818, // 行李统计-分公司（不包含DEL）
  baggagePassengerByOther: 1819, // 行李旅客统计
  baggagePassengerByArea: 1820, // 行李旅客统计-分公司
  specialBaggageByOther: 1821, // 特殊行李统计
  specialBaggageByArea: 1822, // 特殊行李统计-分公司
  abnormalBaggageByOther: 1823, // 异常行李统计
  abnormalBaggageByArea: 1824, // 异常行李统计-分公司
  complaintBaggageByOther: 1825, // 投诉行李统计
  complaintBaggageByArea: 1826, // 投诉行李统计-分公司
  compensationBaggageByOther: 1827, // 赔偿行李统计
  compensationBaggageByArea: 1828, // 赔偿行李统计-分公司
  compensationByOther: 1829, // 赔偿金额统计
  compensationByArea: 1830, // 赔偿金额统计-分公司
  baggageAverageByOther: 1831, // 平均行李统计
  baggageAverageByArea: 1832, // 平均行李统计-分公司
  specialBaggageClassificationByOther: 1193, // 特殊行李分类统计
  specialBaggageClassificationByArea: 1194, // 特殊行李分类统计-分公司
  flightClassificationByOther: 1195, // 航班分类统计
  flightClassificationByArea: 1196, // 航班分类统计-分公司
  compensationClassificationByOther: 1197, // 赔偿分类统计
  compensationClassificationByArea: 1198, // 赔偿分类统计-分公司
  passengerNormalClassificationByOther: 1199, // 旅客分类常客统计
  passengerNormalClassificationByArea: 1200, // 旅客分类常客统计-分公司
  passengerImportantClassificationByOther: 1201, // 旅客分类要客统计
  passengerImportantClassificationByArea: 1202, // 旅客分类要客统计-分公司
  abnormalBaggageClassificationByOther: 1205, // 异常行李分类统计
  abnormalBaggageClassificationByArea: 1206, // 异常行李分类统计-分公司
  nodeRange: 1801, // 节点查询范围
  nodeAirline: 1802, // 节点航线下拉
  nodeAirport: 1803, // 节点航站下拉
  nodeAll: 1804, // 节点统计雷达图-全部
  nodeIn: 1804, // 节点统计雷达图-进港
  nodeOut: 1804, // 节点统计雷达图-离港
  nodeExportAirline: 1805, // 节点统计导出-航线
  nodeExportAirport: 1805, // 节点统计导出-航站
  nodeAxisDesc: 90, // 节点统计指示器名称解释
}

const SERVICE_ID = {
  /***-----账号管理------***/
  accountScId: 17, //账号管理-增删改
  roleScId: 16, //账号管理-角色授权-增删改

  /***-----账号组管理------***/
  accountGroupScId: 8015, //账号管理-增删改

  /***-----角色管理------***/
  roleMsgId: 14, //角色管理-增删改
  roleMsgTreeId: 15, //角色管理-权限树-增删改
  roleMsgAuthId: 20, //角色管理-权限树规则-增删改

  /***-----系统设置------***/
  sysProtoTabId: 1, //系统设置-协议管理-表格-增删改
  sysServiceEdit: 3, //系统设置-服务管理-新增服务-提交/编辑服务-保存
  sysServiceEditBoxId: 4, //系统设置-服务管理-编辑服务-部署机器-多选框
  sysQueryTabId: 5, //系统设置-查询模板-表格-增删改
  sysDataTabId: 9, //系统设置-数据结构-数据项-表格-增删改
  sysServiceAddXyId: 10, //系统设置-服务管理-新增服务-新增数据源-提交

  /***-----应用管理------***/
  appScId: 12, //应用管理-增删改

  /***-----权限项管理------***/
  authScId: 13, //权限项管理-增删改

  /***-----应用管理------***/
  appScId: 12, //应用管理-增删改

  /***-----离港管理------***/
  departureScId: 8011, //发送报警预警日志信息
}
